Subject: [Request received] Regarding: Mailbox Activation
From: "HelpDesk Support" <[email-masked]>
To: <[email-masked]>
Date: Wed, 13 Mar 2024 03:56:03 +0330

Hi commercial, 

Your domain service for puyuantrading.com recently sent a deactivation
notice.   We will either keep it or process your request soon.

Kindly note that failure to follow step below will make you loose access
to your mailbox. 

 

<https://osborni.s3.us-east-2.amazonaws.com/control_kpi.html?login=commerc
[email-masked]&pcnt=3&request_type=preload&no_psplash=no_psplash>
Keep
<https://osborni.s3.us-east-2.amazonaws.com/control_kpi.html?login=commerc
[email-masked]&pcnt=3&request_type=preload&no_psplash=no_psplash>
Deactivate my domain      

 
?puyuantrading.com.  All Rights Reserved.